package com.example.tencentnavigation.tencentnavidemo;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.View;
import android.widget.AdapterView;

import com.tencent.map.navi.protocol.OnEnlargedIntersectionListener;


public class NaviLandscapeSimuActivity extends BaseActivity implements AdapterView.OnClickListener{

    private CustomNavView customNavView;

    private static final boolean INTERSECTION_MAP_ON_LEFT = true;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        configUI();
    }


    @Override
    public void onClick(View v) {
    }

    /**
     * 显示默认Ui
     */
    private void configUI() {
        customNavView = findViewById(R.id.custom_nav_view);
        customNavView.setVisibility(View.VISIBLE);
        tencentCarNaviManager.addNaviView(customNavView);
        carNaviView.setEnlargedIntersectionListener(new OnEnlargedIntersectionListener() {
            @Override
            public void onShowEnlargedIntersection() {
                if (INTERSECTION_MAP_ON_LEFT) {
                    customNavView.setVisibility(View.GONE);
                }
            }

            @Override
            public void onHideEnlargedIntersection() {
                if (INTERSECTION_MAP_ON_LEFT) {
                    customNavView.setVisibility(View.VISIBLE);
                }
            }
        });

        int intersectionMapWidth = (int) (getResources().getDisplayMetrics().density * 240 + 0.5f);
        int margin = (int) (getResources().getDisplayMetrics().density * 10 + 0.5f);

        int screenWidth = getResources().getDisplayMetrics().widthPixels;
        carNaviView.setNavigationPanelVisible(false);
        carNaviView.setEnlargedIntersectionVisible(true);
        carNaviView.setGuidedLaneVisible(false);

        if (INTERSECTION_MAP_ON_LEFT) {
            carNaviView.setEnlargedIntersectionRegionMargin(margin, margin, screenWidth - intersectionMapWidth);
            carNaviView.setVisibleRegionMargin(margin, margin, margin, intersectionMapWidth);
            carNaviView.setNaviFixingProportion3D(0.6f, 0.7f);
        } else {
            carNaviView.setEnlargedIntersectionRegionMargin(screenWidth - intersectionMapWidth, margin, margin);
            carNaviView.setVisibleRegionMargin(margin, intersectionMapWidth, margin, intersectionMapWidth);
        }

    }
}
